<?xml version="1.0" encoding="UTF-8"?>

<properties>
  <property-def name="azimuth" inherited="yes" initial="center" mediagroup="aural" category="aural">
    <datatype name="angle"/>
    <keyword name="left-side"/>
    <keyword name="far-left"/>
    <keyword name="left"/>
    <keyword name="center-left"/>
    <keyword name="center"/>
    <keyword name="center-right"/>
    <keyword name="right"/>
    <keyword name="far-right"/>
    <keyword name="right-side"/>
    <keyword name="behind"/>
    <keyword name="leftwards"/>
    <keyword name="rightwards"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="background-attachment" inherited="no" initial="scroll" mediagroup="visual"
    category="colorandbackground">
    <keyword name="scroll"/>
    <keyword name="fixed"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="background-color" inherited="no" initial="transparent" mediagroup="visual"
    category="colorandbackground">
    <datatype name="color"/>
    <keyword name="transparent"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="background-image" inherited="no" initial="none" mediagroup="visual"
    category="colorandbackground">
    <function name="uri"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
    <property-def name="background-horizontal-position" inherited="no" initial="0%" mediagroup="visual"
    category="colorandbackground" class="org.trix.cuery.property.css2.BackgroundHorizontalPositionDefinition">
    <datatype name="percentage"/>
    <datatype name="length"/>
    <keyword name="center"/>
    <keyword name="left"/>
    <keyword name="right"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="background-vertical-position" inherited="no" initial="0%" mediagroup="visual"
    category="colorandbackground" class="org.trix.cuery.property.css2.BackgroundVerticalPositionDefinition">
    <datatype name="percentage"/>
    <datatype name="length"/>
    <keyword name="top"/>
    <keyword name="center"/>
    <keyword name="bottom"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="background-position" inherited="no" mediagroup="visual"
    category="colorandbackground" class="org.trix.cuery.property.css2.BackgroundPositionDefinition">
    <property name="background-horizontal-position"/>
    <property name="background-vertical-position"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="background-repeat" inherited="no" initial="repeat" mediagroup="visual"
    category="colorandbackground">
    <keyword name="repeat"/>
    <keyword name="repeat-x"/>
    <keyword name="repeat-y"/>
    <keyword name="no-repeat"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="background" inherited="no" mediagroup="visual" category="colorandbackground" class="org.trix.cuery.property.css2.BackgroundDefinition">
    <property name="background-color"/>
    <property name="background-image"/>
    <property name="background-repeat"/>
    <property name="background-attachment"/>
    <property name="background-horizontal-position"/>
    <property name="background-vertical-position"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-collapse" inherited="yes" initial="collapse" mediagroup="visual" category="tables">
    <keyword name="collapse"/>
    <keyword name="separate"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-spacing" inherited="yes" initial="0" initialType="length" mediagroup="visual" category="tables">
    <datatype name="length"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-top-color" inherited="no" mediagroup="visual" category="box">
    <datatype name="color"/>
    <keyword name="transparent"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-right-color" inherited="no" mediagroup="visual" category="box">
    <datatype name="color"/>
    <keyword name="transparent"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-bottom-color" inherited="no" mediagroup="visual" category="box">
    <datatype name="color"/>
    <keyword name="transparent"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-left-color" inherited="no" mediagroup="visual" category="box">
    <datatype name="color"/>
    <keyword name="transparent"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-color" inherited="no" mediagroup="visual" category="box" class="org.trix.cuery.property.BoxModelPropertyDefinition">
    <property name="border-top-color"/>
    <property name="border-right-color"/>
    <property name="border-bottom-color"/>
    <property name="border-left-color"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-top-style" inherited="no" initial="none" mediagroup="visual" category="box">
    <keyword name="none"/>
    <keyword name="hidden"/>
    <keyword name="dotted"/>
    <keyword name="dashed"/>
    <keyword name="solid"/>
    <keyword name="double"/>
    <keyword name="groove"/>
    <keyword name="ridge"/>
    <keyword name="inset"/>
    <keyword name="outset"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-right-style" inherited="no" initial="none" mediagroup="visual" category="box">
    <keyword name="none"/>
    <keyword name="hidden"/>
    <keyword name="dotted"/>
    <keyword name="dashed"/>
    <keyword name="solid"/>
    <keyword name="double"/>
    <keyword name="groove"/>
    <keyword name="ridge"/>
    <keyword name="inset"/>
    <keyword name="outset"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-bottom-style" inherited="no" initial="none" mediagroup="visual" category="box">
    <keyword name="none"/>
    <keyword name="hidden"/>
    <keyword name="dotted"/>
    <keyword name="dashed"/>
    <keyword name="solid"/>
    <keyword name="double"/>
    <keyword name="groove"/>
    <keyword name="ridge"/>
    <keyword name="inset"/>
    <keyword name="outset"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-left-style" inherited="no" initial="none" mediagroup="visual" category="box">
    <keyword name="none"/>
    <keyword name="hidden"/>
    <keyword name="dotted"/>
    <keyword name="dashed"/>
    <keyword name="solid"/>
    <keyword name="double"/>
    <keyword name="groove"/>
    <keyword name="ridge"/>
    <keyword name="inset"/>
    <keyword name="outset"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-style" inherited="no" mediagroup="visual" category="box" class="org.trix.cuery.property.BoxModelPropertyDefinition">
    <property name="border-top-style"/>
    <property name="border-right-style"/>
    <property name="border-bottom-style"/>
    <property name="border-left-style"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-top-width" inherited="no" initial="medium" mediagroup="visual" category="box">
    <datatype name="length"/>
    <keyword name="thin"/>
    <keyword name="medium"/>
    <keyword name="thick"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-right-width" inherited="no" initial="medium" mediagroup="visual" category="box">
    <datatype name="length"/>
    <keyword name="thin"/>
    <keyword name="medium"/>
    <keyword name="thick"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-bottom-width" inherited="no" initial="medium" mediagroup="visual" category="box">
    <datatype name="length"/>
    <keyword name="thin"/>
    <keyword name="medium"/>
    <keyword name="thick"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-left-width" inherited="no" initial="medium" mediagroup="visual" category="box">
    <datatype name="length"/>
    <keyword name="thin"/>
    <keyword name="medium"/>
    <keyword name="thick"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-width" inherited="no" mediagroup="visual" category="box" class="org.trix.cuery.property.BoxModelPropertyDefinition">
    <property name="border-top-width"/>
    <property name="border-right-width"/>
    <property name="border-bottom-width"/>
    <property name="border-left-width"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-top" inherited="no" mediagroup="visual" category="box" class="org.trix.cuery.property.ShorthandPropertyDefinition">
    <property name="border-top-color"/>
    <property name="border-top-style"/>
    <property name="border-top-width"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-right" inherited="no" mediagroup="visual" category="box" class="org.trix.cuery.property.ShorthandPropertyDefinition">
    <property name="border-right-color"/>
    <property name="border-right-style"/>
    <property name="border-right-width"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-bottom" inherited="no" mediagroup="visual" category="box" class="org.trix.cuery.property.ShorthandPropertyDefinition">
    <property name="border-bottom-color"/>
    <property name="border-bottom-style"/>
    <property name="border-bottom-width"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border-left" inherited="no" mediagroup="visual" category="box" class="org.trix.cuery.property.ShorthandPropertyDefinition">
    <property name="border-left-color"/>
    <property name="border-left-style"/>
    <property name="border-left-width"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="border" inherited="no" mediagroup="visual" category="box" class="org.trix.cuery.property.ShorthandPropertyDefinition">
    <property name="border-color"/>
    <property name="border-style"/>
    <property name="border-width"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="bottom" inherited="no" initial="auto" mediagroup="visual" category="visual">
    <datatype name="length"/>
    <datatype name="percentage"/>
    <keyword name="auto"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="caption-side" inherited="yes" mediagroup="visual" category="tables">
    <keyword name="top"/>
    <keyword name="bottom"/>
    <keyword name="left"/>
    <keyword name="right"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="clear" inherited="no" initial="none" mediagroup="visual" category="visual">
    <keyword name="none"/>
    <keyword name="left"/>
    <keyword name="right"/>
    <keyword name="both"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="clip" inherited="no" initial="auto" mediagroup="visual" category="visual">
    <function name="rect"/>
    <keyword name="auto"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="color" inherited="yes" mediagroup="visual" category="colorandbackground">
    <datatype name="color"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="content" inherited="no" initial="" mediagroup="all" category="content">
    <datatype name="string"/>
    <function name="uri"/>
    <function name="counter"/>
    <function name="attr"/>
    <keyword name="open-quote"/>
    <keyword name="close-quote"/>
    <keyword name="no-open-quote"/>
    <keyword name="no-close-quote"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="counter-increment" inherited="no" initial="none" mediagroup="all" category="content">
    <datatype name="string"/>
    <datatype name="integer"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="counter-reset" inherited="no" initial="none" mediagroup="all" category="content">
    <datatype name="string"/>
    <datatype name="integer"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="cue" inherited="no" mediagroup="aural" category="aural">
    <property name="cue-before"/>
    <property name="cue-after"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="cue-after" inherited="no" initial="none" mediagroup="aural" category="aural">
    <function name="uri"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="cue-before" inherited="no" initial="none" mediagroup="aural" category="aural">
    <function name="uri"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="cursor" inherited="yes" initial="auto" mediagroup="visual,interactive" category="ui">
    <function name="uri"/>
    <keyword name="auto"/>
    <keyword name="crosshair"/>
    <keyword name="default"/>
    <keyword name="pointer"/>
    <keyword name="move"/>
    <keyword name="e-resize"/>
    <keyword name="ne-resize"/>
    <keyword name="nw-resize"/>
    <keyword name="n-resize"/>
    <keyword name="se-resize"/>
    <keyword name="sw-resize"/>
    <keyword name="s-resize"/>
    <keyword name="w-resize"/>
    <keyword name="text"/>
    <keyword name="wait"/>
    <keyword name="help"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="direction" inherited="yes" initial="ltr" mediagroup="visual" category="visual">
    <keyword name="ltr"/>
    <keyword name="rtl"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="display" inherited="no" initial="inline" mediagroup="all" category="visual">
    <keyword name="inline"/>
    <keyword name="block"/>
    <keyword name="list-item"/>
    <keyword name="run-in"/>
    <keyword name="compact"/>
    <keyword name="marker"/>
    <keyword name="table"/>
    <keyword name="inline-table"/>
    <keyword name="table-row-group"/>
    <keyword name="table-header-group"/>
    <keyword name="table-footer-group"/>
    <keyword name="table-row"/>
    <keyword name="table-column-group"/>
    <keyword name="table-column"/>
    <keyword name="table-cell"/>
    <keyword name="table-caption"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="elevation" inherited="yes" initial="level" mediagroup="aural" category="aural">
    <datatype name="angle"/>
    <keyword name="below"/>
    <keyword name="level"/>
    <keyword name="above"/>
    <keyword name="higher"/>
    <keyword name="lower"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="empty-cells" inherited="yes" initial="show" mediagroup="visual" category="tables">
    <keyword name="show"/>
    <keyword name="hide"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="float" inherited="no" initial="none" mediagroup="visual" category="visual">
    <keyword name="left"/>
    <keyword name="right"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="font-family" inherited="yes" mediagroup="visual" category="font">
    <datatype name="string"/>
    <datatype name="ident"/>
    <keyword name="serif"/>
		<keyword name="sans-serif"/>
		<keyword name="cursive"/>
		<keyword name="fantasy"/>
		<keyword name="monospace"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="font-size" inherited="yes" initial="medium" mediagroup="visual" category="font" class="org.trix.cuery.property.css2.FontSizeDefinition">
    <datatype name="length"/>
    <datatype name="percentage"/>
    <keyword name="xx-small"/>
    <keyword name="x-small"/>
    <keyword name="small"/>
    <keyword name="medium"/>
    <keyword name="large"/>
    <keyword name="x-large"/>
    <keyword name="xx-large"/>
    <keyword name="larger"/>
    <keyword name="smaller"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="font-size-adjust" inherited="yes" initial="none" mediagroup="visual" category="font">
    <datatype name="number"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="font-stretch" inherited="yes" initial="normal" mediagroup="visual" category="font">
    <keyword name="normal"/>
    <keyword name="wider"/>
    <keyword name="narrower"/>
    <keyword name="ultra-condensed"/>
    <keyword name="extra-condensed"/>
    <keyword name="condensed"/>
    <keyword name="semi-condensed"/>
    <keyword name="semi-expanded"/>
    <keyword name="expanded"/>
    <keyword name="extra-expanded"/>
    <keyword name="ultra-expanded"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="font-style" inherited="yes" initial="normal" mediagroup="visual" category="font">
    <keyword name="normal"/>
    <keyword name="italic"/>
    <keyword name="oblique"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="font-variant" inherited="yes" initial="normal" mediagroup="visual" category="font">
    <keyword name="normal"/>
    <keyword name="small-caps"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="font-weight" inherited="yes" initial="normal" mediagroup="visual" category="font">
    <keyword name="normal"/>
    <keyword name="bold"/>
    <keyword name="bolder"/>
    <keyword name="lighter"/>
    <keyword name="100"/>
    <keyword name="200"/>
    <keyword name="300"/>
    <keyword name="400"/>
    <keyword name="500"/>
    <keyword name="600"/>
    <keyword name="700"/>
    <keyword name="800"/>
    <keyword name="900"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="line-height" inherited="yes" initial="normal" mediagroup="visual" category="visual" class="org.trix.cuery.property.css2.LineHeightDefinition">
    <datatype name="number"/>
    <datatype name="length"/>
    <datatype name="percentage"/>
    <keyword name="normal"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="font" inherited="yes" mediagroup="visual" category="font" class="org.trix.cuery.property.css2.FontDefinition">
    <property name="font-style"/>
    <property name="font-variant"/>
    <property name="font-weight"/>
    <property name="font-size"/>
    <property name="line-height"/>
    <property name="font-family"/>
    <keyword name="caption"/>
    <keyword name="icon"/>
    <keyword name="menu"/>
    <keyword name="message-box"/>
    <keyword name="small-caption"/>
    <keyword name="status-bar"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="height" inherited="no" initial="auto" mediagroup="visual" category="visual">
    <datatype name="length"/>
    <datatype name="percentage"/>
    <keyword name="auto"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="left" inherited="no" initial="auto" mediagroup="visual" category="visual">
    <datatype name="length"/>
    <datatype name="percentage"/>
    <keyword name="auto"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="letter-spacing" inherited="yes" initial="normal" mediagroup="visual" category="text">
    <keyword name="normal"/>
    <datatype name="length"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="list-style-image" inherited="yes" initial="none" mediagroup="visual" category="content">
    <function name="uri"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="list-style-position" inherited="yes" initial="outside" mediagroup="visual" category="content">
    <keyword name="inside"/>
    <keyword name="outside"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="list-style-type" inherited="yes" initial="disc" mediagroup="visual" category="content">
    <keyword name="disc"/>
    <keyword name="circle"/>
    <keyword name="square"/>
    <keyword name="decimal"/>
    <keyword name="decimal-leading-zero"/>
    <keyword name="lower-roman"/>
    <keyword name="upper-roman"/>
    <keyword name="lower-greek"/>
    <keyword name="lower-alpha"/>
    <keyword name="lower-latin"/>
    <keyword name="upper-alpha"/>
    <keyword name="upper-latin"/>
    <keyword name="hebrew"/>
    <keyword name="armenian"/>
    <keyword name="georgian"/>
    <keyword name="cjk-ideographic"/>
    <keyword name="hiragana"/>
    <keyword name="katakana"/>
    <keyword name="hiragana-iroha"/>
    <keyword name="katakana-iroha"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="list-style" inherited="yes" mediagroup="visual" category="content" class="org.trix.cuery.property.css2.ListStyleDefinition">
    <property name="list-style-type"/>
    <property name="list-style-position"/>
    <property name="list-style-image"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="margin-top" inherited="no" initial="0" initialType="length" mediagroup="visual" category="box">
    <datatype name="length"/>
		<datatype name="percentage"/>
		<keyword name="auto"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="margin-right" inherited="no" initial="0" initialType="length" mediagroup="visual" category="box">
    <datatype name="length"/>
		<datatype name="percentage"/>
		<keyword name="auto"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="margin-bottom" inherited="no" initial="0" initialType="length" mediagroup="visual" category="box">
    <datatype name="length"/>
		<datatype name="percentage"/>
		<keyword name="auto"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="margin-left" inherited="no" initial="0" initialType="length" mediagroup="visual" category="box">
    <datatype name="length"/>
		<datatype name="percentage"/>
		<keyword name="auto"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="margin" inherited="no" mediagroup="visual" category="box" class="org.trix.cuery.property.BoxModelPropertyDefinition">
    <property name="margin-top"/>
    <property name="margin-right"/>
    <property name="margin-bottom"/>
    <property name="margin-left"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="marker-offset" inherited="no" initial="auto" mediagroup="visual" category="content">
    <datatype name="length"/>
    <keyword name="auto"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="marks" inherited="na" initial="none" mediagroup="visual,paged" category="page">
    <keyword name="crop"/>
    <keyword name="cross"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="max-height" inherited="no" initial="auto" mediagroup="visual" category="visual">
    <datatype name="length"/>
    <datatype name="percentage"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="max-width" inherited="no" initial="none" mediagroup="visual" category="visual">
    <datatype name="length"/>
    <datatype name="percentage"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="min-height" inherited="no" initial="0" initialType="length" mediagroup="visual" category="visual">
    <datatype name="length"/>
    <datatype name="percentage"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="min-width" inherited="no" mediagroup="visual" category="visual">
    <datatype name="length"/>
    <datatype name="percentage"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="orphans" inherited="yes" initial="2" initialType="integer" mediagroup="visual,paged" category="page">
    <datatype name="integer"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="outline-color" inherited="no" initial="invert" mediagroup="visual,interactive" category="ui">
    <datatype name="color"/>
    <keyword name="invert"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="outline-style" inherited="no" initial="none" mediagroup="visual,interactive" category="ui">
    <keyword name="none"/>
    <keyword name="hidden"/>
    <keyword name="dotted"/>
    <keyword name="dashed"/>
    <keyword name="solid"/>
    <keyword name="double"/>
    <keyword name="groove"/>
    <keyword name="ridge"/>
    <keyword name="inset"/>
    <keyword name="outset"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="outline-width" inherited="no" initial="medium" mediagroup="visual,interactive" category="ui">
    <datatype name="length"/>
    <keyword name="thin"/>
    <keyword name="medium"/>
    <keyword name="thick"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="outline" inherited="no" mediagroup="visual,interactive" category="ui" class="org.trix.cuery.property.ShorthandPropertyDefinition">
    <property name="outline-color"/>
    <property name="outline-style"/>
    <property name="outline-width"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="overflow" inherited="no" initial="visible" mediagroup="visual" category="visual">
    <keyword name="visible"/>
    <keyword name="hidden"/>
    <keyword name="scroll"/>
    <keyword name="auto"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="padding-top" inherited="no" initial="0" initialType="length" mediagroup="visual" category="box">
    <datatype name="length"/>
		<datatype name="percentage"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="padding-right" inherited="no" initial="0" initialType="length" mediagroup="visual" category="box">
    <datatype name="length"/>
		<datatype name="percentage"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="padding-bottom" inherited="no" initial="0" initialType="length" mediagroup="visual" category="box">
    <datatype name="length"/>
		<datatype name="percentage"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="padding-left" inherited="no" initial="0" initialType="length" mediagroup="visual" category="box">
    <datatype name="length"/>
		<datatype name="percentage"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="padding" inherited="no" mediagroup="visual" category="box" class="org.trix.cuery.property.BoxModelPropertyDefinition">
    <property name="padding-top"/>
    <property name="padding-right"/>
    <property name="padding-bottom"/>
    <property name="padding-left"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="page" inherited="yes" initial="auto" mediagroup="visual,paged" category="page">
    <datatype name="string"/>
    <keyword name="auto"/>
  </property-def>
  <property-def name="page-break-after" inherited="no" initial="auto" mediagroup="visual,paged" category="page">
    <keyword name="auto"/>
    <keyword name="always"/>
    <keyword name="avoid"/>
    <keyword name="left"/>
    <keyword name="right"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="page-break-before" inherited="no" initial="auto" mediagroup="visual,paged" category="page">
    <keyword name="auto"/>
    <keyword name="always"/>
    <keyword name="avoid"/>
    <keyword name="left"/>
    <keyword name="right"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="page-break-inside" inherited="yes" initial="auto" mediagroup="visual,paged"
    category="page">
    <keyword name="avoid"/>
    <keyword name="auto"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="pause" inherited="no" mediagroup="aural" category="aural">
    <datatype name="time"/>
    <datatype name="percentage"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="pause-after" inherited="no" mediagroup="aural" category="aural">
    <datatype name="time"/>
    <datatype name="percentage"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="pause-before" inherited="no" mediagroup="aural" category="aural">
    <datatype name="time"/>
    <datatype name="percentage"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="pitch" inherited="yes" initial="medium" mediagroup="aural" category="aural">
    <datatype name="frequency"/>
    <keyword name="x-low"/>
    <keyword name="low"/>
    <keyword name="medium"/>
    <keyword name="high"/>
    <keyword name="x-high"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="pitch-range" inherited="yes" initial="50" initialType="number" mediagroup="aural" category="aural">
    <datatype name="number"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="play-during" inherited="no" initial="auto" mediagroup="aural" category="aural">
    <function name="uri"/>
    <keyword name="mix"/>
    <keyword name="repeat"/>
    <keyword name="auto"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="position" inherited="no" initial="static" mediagroup="visual" category="visual">
    <keyword name="static"/>
    <keyword name="relative"/>
    <keyword name="absolute"/>
    <keyword name="fixed"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="quotes" inherited="yes" mediagroup="visual" category="content">
    <datatype name="string"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="richness" inherited="yes" initial="50" initialType="number" mediagroup="aural" category="aural">
    <datatype name="number"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="right" inherited="no" initial="auto" mediagroup="visual" category="visual">
    <datatype name="length"/>
    <datatype name="percentage"/>
    <keyword name="auto"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="size" inherited="na" initial="auto" mediagroup="visual,paged" category="page">
    <datatype name="length"/>
    <keyword name="auto"/>
    <keyword name="portrait"/>
    <keyword name="landscape"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="speak" inherited="yes" initial="normal" mediagroup="aural" category="aural">
    <keyword name="normal"/>
    <keyword name="none"/>
    <keyword name="spell-out"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="speak-header" inherited="yes" initial="once" mediagroup="aural" category="tables">
    <keyword name="once"/>
    <keyword name="always"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="speak-numeral" inherited="yes" mediagroup="aural" category="aural">
    <keyword name="digits"/>
    <keyword name="continuous"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="speak-punctuation" inherited="yes" initial="none" mediagroup="aural" category="aural">
    <keyword name="code"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="speech-rate" inherited="yes" initial="medium" mediagroup="aural" category="aural">
    <datatype name="number"/>
    <keyword name="x-slow"/>
    <keyword name="slow"/>
    <keyword name="medium"/>
    <keyword name="fast"/>
    <keyword name="x-fast"/>
    <keyword name="faster"/>
    <keyword name="slower"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="stress" inherited="yes" initial="50" initialType="number" mediagroup="aural" category="aural">
    <datatype name="number"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="table-layout" inherited="no" initial="auto" mediagroup="visual" category="tables">
    <keyword name="auto"/>
    <keyword name="fixed"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="text-align" inherited="yes" mediagroup="visual" category="text">
    <datatype name="string"/>
    <keyword name="left"/>
    <keyword name="right"/>
    <keyword name="center"/>
    <keyword name="justify"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="text-decoration" inherited="no" initial="none" mediagroup="visual" category="text">
    <keyword name="none"/>
    <keyword name="underline"/>
    <keyword name="overline"/>
    <keyword name="line-through"/>
    <keyword name="blink"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="text-indent" inherited="yes" initial="0" initialType="lenght" mediagroup="visual" category="text">
    <datatype name="length"/>
    <datatype name="percentage"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="text-shadow" inherited="no" initial="none" mediagroup="visual" category="text">
    <datatype name="color"/>
    <datatype name="length"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="text-transform" inherited="yes" initial="none" mediagroup="visual" category="text">
    <keyword name="capitalize"/>
    <keyword name="uppercase"/>
    <keyword name="lowercase"/>
    <keyword name="none"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="top" inherited="no" initial="auto" mediagroup="visual" category="visual">
    <datatype name="length"/>
    <datatype name="percentage"/>
    <keyword name="auto"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="unicode-bidi" inherited="no" initial="normal" mediagroup="visual" category="visual">
    <keyword name="normal"/>
    <keyword name="embed"/>
    <keyword name="bidi-override"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="vertical-align" inherited="no" initial="baseline" mediagroup="visual" category="visual">
    <datatype name="percentage"/>
    <datatype name="length"/>
    <keyword name="baseline"/>
    <keyword name="sub"/>
    <keyword name="super"/>
    <keyword name="top"/>
    <keyword name="text-top"/>
    <keyword name="middle"/>
    <keyword name="bottom"/>
    <keyword name="text-bottom"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="visibility" inherited="no" initial="inherit" mediagroup="visual" category="visual">
    <keyword name="visible"/>
    <keyword name="hidden"/>
    <keyword name="collapse"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="voice-family" inherited="yes" mediagroup="aural" category="aural">
    <datatype name="string"/>
    <keyword name="male"/>
		<keyword name="female"/>
		<keyword name="child"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="volume" inherited="yes" initial="medium" mediagroup="aural" category="aural">
    <datatype name="number"/>
    <datatype name="percentage"/>
    <keyword name="silent"/>
    <keyword name="x-soft"/>
    <keyword name="soft"/>
    <keyword name="medium"/>
    <keyword name="loud"/>
    <keyword name="x-loud"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="white-space" inherited="yes" initial="normal" mediagroup="visual" category="text">
    <keyword name="normal"/>
    <keyword name="pre"/>
    <keyword name="nowrap"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="widows" inherited="yes" initial="2" initialType="integer" mediagroup="visual,paged" category="page">
    <datatype name="integer"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="width" inherited="no" initial="auto" mediagroup="visual" category="visual">
    <datatype name="length"/>
    <datatype name="percentage"/>
    <keyword name="auto"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="word-spacing" inherited="yes" initial="normal" mediagroup="visual" category="text">
    <datatype name="length"/>
    <keyword name="normal"/>
    <keyword name="inherit"/>
  </property-def>
  <property-def name="z-index" inherited="no" initial="auto" mediagroup="visual" category="visual">
    <datatype name="integer"/>
    <keyword name="auto"/>
    <keyword name="inherit"/>
  </property-def>
</properties>